﻿using MindFusion.Scheduling;


namespace MinApp;

public partial class MainPage : ContentPage
{
    public MainPage()
    {
        InitializeComponent();

        cbDragBehavior.ItemsSource = typeof(DragBehavior).GetEnumNames();
        cbDragBehavior.SelectedItem = calendar.DragBehavior.ToString();
        cbDragBehavior.SelectedIndexChanged += OnDragBehaviorChanged;

        calendar.Date = DateTime.Today;

        var app1 = new Appointment();
        app1.StartTime = calendar.Date.AddDays(0);
        app1.EndTime = app1.StartTime + TimeSpan.FromHours(24);
        app1.HeaderText = "Hello";
        calendar.Schedule.Items.Add(app1);

        var app2 = new Appointment();
        app2.StartTime = calendar.Date.AddDays(1);
        app2.EndTime = app2.StartTime + TimeSpan.FromHours(24);
        app2.HeaderText = "World!";
        calendar.Schedule.Items.Add(app2);
    }

    void OnDragBehaviorChanged(object sender, EventArgs e)
    {
        calendar.DragBehavior = (DragBehavior)Enum.Parse(
            typeof(DragBehavior), cbDragBehavior.SelectedItem.ToString());
    }
}
